function [Vmatrix] = Vhat_Reg1(g,A)
%-------------------------------------------------------------------------
% function [Vmatrix] = Vhat_NEW(g)
%
% Function to compute the VCV Matrix of the coefficient estimates of 
% the augmented and partial summed regression (1) from Proc: IMOLS_NL
%
% Input:        g ... Regressor vector corresponding to (1)
%                     in R^{T \times #of variables in (1)
%
% Output: Vmatrix ... VCV of estimated of coefficients up to cond. LR-var.
%                   
% External procedures: none
%
% MW, modifications by OS
%-------------------------------------------------------------------------

[T,size2] = size(g);

% Central term:
% Summed quantities: 
S = cumsum(g);

% Auxiliary matrix:
SJ = zeros(T,size2);
SJ(2:end,:) = S(1:end-1,:);
ST2 = S(T,:);
ST = repmat(ST2,T,1);
DS = ST - SJ;

% VCV matrix:
gg = inv(g'*g);
Vh = gg*DS';
Vmatrix = Vh*Vh';